%{?python_enable_dependency_generator}
%{?python_enable_dependency_generator}
%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%endif

%{!?__python3:%global __python3 %{__python}}
%{!?python3_sitelib:   %global python3_sitelib         %{python_sitelib}}
%{!?python3_sitearch:  %global python3_sitearch        %{python_sitearch}}
%{!?python3_version:   %global python3_version         %{python_version}}


%global pypi_name XStatic-jQuery

Name:           python-%{pypi_name}
Version:        1.10.2.1
Release:        1%{?dist}
Summary:        jQuery 1.10.2 (XStatic packaging standard)

License:        MIT
URL:            http://jquery.com/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 


%description
jQuery javascript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-XStatic

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
jQuery javascript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/XStatic_jQuery-%{version}-py?.?.egg-info
%{python3_sitelib}/XStatic_jQuery-%{version}-py?.?-nspkg.pth
%{python3_sitelib}/xstatic/pkg/jquery

%changelog
* Wed Mar 12 2014 Matthias Runge <mrunge@redhat.com> - 1.10.2.1-1
- Initial package.
